<template>
  <title-header title="contact" />
  <div
    class="p-4 bg-background2 app-bg overflow-y-scroll remove-scroll-bar"
  >
    <div class="flex flex-col padding-x">
      <div
        class="flex flex-col p-[20px] rounded-lg mb-[12px] bg-[var(--background1)]"
      >
        <div class="flex gap-2">
          <svg-icon svg-name="hearmic" class="w-7 h-7" style="fill: white" />
          <ul class="flex flex-col gap-2 grow">
            <li>
              <p>
                <b class="text-[15.82px] fc-text4">{{
                  $t("online_customer_service")
                }}</b>
              </p>
            </li>
            <li class="leading-6">
              <p class="text-[13.1px] fc-text4">
                {{ $t("dedicated_service_caring_first") }}
              </p>
            </li>
          </ul>
        </div>
      </div>
      <div class="w-full flex flex-col gap-y-3">
        <template v-for="(contact, index) in getContactList" :key="index">
          <div
            class="flex gap-2 contact-card"
            @click="handleHyperlinkRender(contact.HyperLink)"
          >
            <div class="w-[24px] h-[24px] min-w-[24px] min-h-[24px]">
              <img
                v-lazy="contact.ImagePath"
                class="object-contain w-full h-full"
              />
            </div>
            <span class="contact-card__content">{{ contact.Text }}</span>
          </div>
        </template>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import TitleHeader from "./components/contact/TitleHeader.client.vue";

export default defineComponent({
  components: {
    TitleHeader,
  },
  setup() {
    const { handleHyperlinkRender } = commonHelper;
    const { getContactList } = useContactUs();
    return {
      getContactList,
      handleHyperlinkRender,
    };
  },
});
</script>

<style lang="scss" scoped>
.contact-card {
  --bg-opacity: 1;
  background-color: var(--background1);
  height: 48px;
  border-radius: 0.5rem;
  overflow: hidden;
  color: white;
  padding: 0px 16px;
  display: flex;
  align-items: center;

  span {
    font-weight: 700;
    font-size: 1rem;
  }
  .contact-card__content {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}
.text-primary {
  color: var(--primary);
}
.contactus-border_b {
  border-bottom: 1px solid #4d5080;
}
.contactus-border_b:last-child {
  border: none;
}
.bg__gradient {
  background: rgb(91, 211, 0);
}
.remove-scroll-bar::-webkit-scrollbar {
  display: none;
}
.remove-scroll-bar {
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}
[layout="peru"] {
  .app-header-bg {
    background: var(--background3);
    border-bottom: 2px solid var(--background4);
    color: var(--text5);
  }
}
</style>
